TIX-COLLECTION(8)

NAME
tix-collection - create and manage a tix collection installation

SYNOPSIS
tix-collection [--build-id=build-id] [--collection=collection] [--conf-from=collection] [--generation=level] [--platform=platform] [--prefix=prefix] [--release-key=path] [--release-url=url] [collection] [create | set]

DESCRIPTION
tix-collection creates and manages a tix collection of installed packages. A tix collection contains a top-level /tix directory with the collection.conf(5) configuration file, along with package metadata in the tixinfo and manifest directories.

The first operand is optionally a path to the collection if it starts with a slash. The root directory collection is used if not specified.

The next operand selects a command to execute:

create
    Create the specified tix collection per the options.

set Update the specified collection per the options.

The options are as follows:

--build-id=build-id
    Set the BUILD_ID variable in collection.conf(5) to build-id, signifying which build is currently installed as per tix-release(8).

--collection=collection
    Specifies which collection to act on.

--conf-from=collection
    Import the collection.conf(5) configuration and release.pub public key from this other collection prefix.

--generation=level
    Select tix metadata generation level (Default: 3)

--platform=platform
    Set the PLATFORM variable in collection.conf(5) to this platform triplet. Packages installed in the collection must be built for the same platform, or be platform independent. The platform defaults to the triplet of the local system.

--prefix=prefix
    Set the PREFIX variable in collection.conf(5) to this prefix. Packages installed in the collection must be built with the same prefix, or be location independent. The prefix defaults to the collection, where the empty prefix designates the root directory.

--release-key=path
    Import the public key from the given path and store it as $collection/tix/release.pub. A trusted public key is required to download packages.

--release-url=url
    Set the RELEASE_URL variable in collection.conf(5) to url, containing a tix-release(8) channel or release. Packages and upgrades are downloaded from this location and verified with the trusted public key from the --release-key option.

FILES
/tix/
    The tix collection metadata directory.
/tix/collection.conf
    collection.conf(5) configuration.
/tix/manifest/
    Sorted file lists for every installed package.
/tix/tixinfo/
    Metadata for every installed package.

EXIT STATUS
tix-collection will exit 0 on success and non-zero otherwise.

SEE ALSO
collection.conf(5), port(5), tix(8), tix-build(8), tix-install(8), tix-port(8), tix-release(8), tix-uninstall(8)

HISTORY
tix-collection originally appeared in Sortix 1.1.